<!DOCTYPE html>
<html lang="en">

<head>
    <title></title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

</head>

<body>


    <table id="myTable" style=" border: 1px solid black;">
    </table>

    <script>
        fetch('homework2_1.json').then(response => {
                return response.json();
            })
            .then(myJson => {
                    console.log(myJson);
                    let employees = myJson;


                    let head = [];
                    let str = [];

                    for (let i = 0; i < employees.length; i++) {

                        $('#myTable').append($('</tr>'));
                        $('#myTable').append($('<tr>'));

                        addYearSalary(employees[i]);
                        addNextSalary(employees[i]);
                        addAdditionalFields(employees[i]);
                        console.log(employees);
                        console.log(employees[i]);
                        let obj = {}

                        for (let key in employees[i]) {
                            console.log(employees[i][key]);


                            if (head.indexOf(key) < 0) {
                                head.push(key);


                                obj[key] = employees[i][key];

                            }

                        }
                        str.push(obj);


                    }
                    console.log(head);
                    console.log(str);
                    $('#myTable').append($('<tr>'));

                    for (i = 0; i < head.length; i++) {
                        $('#myTable').append($('<th>' + head[i] + '</th>'));
                    }
                    $('#myTable').append($('</tr>'));
                    for (i = 0; i < str.length; i++) {

                        $('#myTable').append($('<tr>'));

                        $('#myTable').append($('<td>' + employees[i]["id"] + '</td>'));
                        $('#myTable').append($('<td>' + employees[i]["firstname"] + '</td>'));
                        $('#myTable').append($('<td>' + employees[i]["lastname"] + '</td>'));
                        $('#myTable').append($('<td>' + employees[i]["company"] + '</td>'));
                        $('#myTable').append($('<td>' + employees[i]["salary"] + '</td>'));
                        $('#myTable').append($('<td>' + employees[i]["yearSalary"] + '</td>'));
                        $('#myTable').append($('<td><ol><li>' + employees[i]["salary"] + '<li>' + employees[i][
                            "nextSalary"
                        ][1] + '<li>' + employees[i]["nextSalary"][2] + '</li></li></li></ol></td>'));

                    }
                }

            )
            .catch(error => {
                console.error('Error:', error);
            });

        function addYearSalary(row) {
            row.yearSalary = row.salary * 12
        }

        function addNextSalary(row) {
            row.nextSalary = [row.salary]
            row.nextSalary[1] = row.salary * 0.1 + row.salary
            row.nextSalary[2] = row.nextSalary[1] * 0.1 + row.nextSalary[1]
        }

        function addAdditionalFields(row) {
            // let newEmployees=addAdditionalFields(employees);
            // newEmployees[0].salary=0
            // console.log(newEmployees)
            // console.log(employees)
        }
    </script>






</body>

</html>